at.chipkarte.client.base.soap.exceptions

## Class BaseExceptionContent

- Object
- - at.chipkarte.client.base.soap.exceptions.BaseExceptionContent

- Direct Known Subclasses:
    AbsExceptionContent, AccessExceptionContent, AumExceptionContent, AumInvalidParameterExceptionContent, BkfEncryptionExceptionContent, BkfExceptionContent, BkfInvalidParameterExceptionContent, CardExceptionContent, DasExceptionContent, DasInvalidParameterExceptionContent, DbasEncryptionExceptionContent, DbasExceptionContent, DbasInvalidParameterExceptionContent, DialogExceptionContent, DmpExceptionContent, DmpInvalidParameterExceptionContent, EbsExceptionContent, EbsInvalidParameterExceptionContent, ElgaadExceptionContent, ElgaadInvalidParameterExceptionContent, ElgatsvExceptionContent, ElgatsvInvalidParameterExceptionContent, FdasExceptionContent, FusExceptionContent, FusInvalidParameterExceptionContent, InvalidParameterBewilligungsanfrageExceptionContent, InvalidParameterExceptionContent, InvalidParameterExceptionContent, InvalidParameterGetAnfrageStatusExceptionContent, InvalidParameterRueckantwortExceptionContent, InvalidParameterStsExceptionContent, InvalidParameterSuchkriterienExceptionContent, InvalidParameterVdasExceptionContent, KseExceptionContent, MuhiExceptionContent, PatientServiceExceptionContent, PropExceptionContent, PropInvalidParameterExceptionContent, RezExceptionContent, SasExceptionContent, SchulungExceptionContent, ServiceExceptionContent, StsExceptionContent, VdasExceptionContent

      public class BaseExceptionContent
      extends Object

  Basisklasse für alle Exception-Inhalte.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseExceptionContent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCode()` Code der spezifischen SS12-Exception.
    `Integer` | `getErrorCode()` Code der (korrespondierenden GUI-) Text-Fehlermeldung.
    `String` | `getMessage()` Fehlertext inklusive ursprünglicher Fehlernummer.
    `void` | `setCode(String code)`
    `void` | `setErrorCode(Integer errorCode)`
    `void` | `setMessage(String message)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseExceptionContent

          public BaseExceptionContent()

  - ### Method Detail

    - #### getCode

          public String getCode()

      Code der spezifischen SS12-Exception. Format: maximal 3-stellig
      Returns:
        SS12-Fehlercode

    - #### setCode

          public void setCode(String code)

    - #### getErrorCode

          public Integer getErrorCode()

      Code der (korrespondierenden GUI-) Text-Fehlermeldung. Format: maximal 10-stellig
      Returns:
        Fehlercode der Textmeldung

    - #### setErrorCode

          public void setErrorCode(Integer errorCode)

    - #### getMessage

          public String getMessage()

      Fehlertext inklusive ursprünglicher Fehlernummer.
      Format: maximal 512-stellig
      Returns:
        Fehlertext

    - #### setMessage

          public void setMessage(String message)